Bug 1160251 - fltk-1.3.3 is available
Summary: fltk-1.3.3 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fltk
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-04 12:55 UTC by Upstream Release Monitoring
Modified: 2015-04-10 11:54 UTC (History)
7 users (show)

Fixed In Version: fltk-1.3.3-2.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-10 11:54:28 UTC


Attachments (Terms of Use)
abi-compliance-checker report from 1.3.2 to 1.3.3 (338.17 KB, text/html)
2014-11-05 21:38 UTC, Richard Shaw
no flags Details

Description Upstream Release Monitoring 2014-11-04 12:55:35 UTC
Latest upstream release: 1.3.3
Current version/release in Fedora Rawhide: 1.3.2-7.fc22
URL: http://www.fltk.org/software.php

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Richard Shaw 2014-11-05 19:36:42 UTC
Rex, let me know if you would like help maintaining this package.

I have several packages both current and future that use FLTK.

I have a local build of 1.3.3 but need to make sure everything is OK. If the patch failed to apply I temporarily disabled it, if it came up as already applied I assumed it was upstream and removed it.

I also tried doing a cmake build. The main components build fine and install properly with a little patching of the cmake config but it's still a bit rough around the edges. No documentation build, install of desktop files or icons, etc.

Comment 2 Rex Dieter 2014-11-05 21:24:49 UTC
Help is welcome, sure.

Yeah, the hard part here is forward maintenance of the patches we carry.  Most of those are waiting to get included upstream in their bug tracker, so I'm not sure what the holdup there is. :-/

As far as cmake goes, the support there isn't good enough to replace automake and friends yet (not sure it ever will be).

Comment 3 Rex Dieter 2014-11-05 21:26:37 UTC
working on it...

Comment 4 Richard Shaw 2014-11-05 21:29:42 UTC
I'm pretty much already done if you want to wait for me.

I've got the package building nicely, most of the patches are not needed anymore and now I'm doing a mock build of 1.3.2 and 1.3.3 to run abi-compliance-checker against to make sure it's ABI compatible.

Comment 5 Rex Dieter 2014-11-05 21:36:20 UTC
Heh, here I am crabbing about patches not getting accepted upstream, and turns out they all were.  Yay!

Thanks!  you have my blessing to commit when you're ready.

Comment 6 Richard Shaw 2014-11-05 21:38:00 UTC
Created attachment 954211 [details]
abi-compliance-checker report from 1.3.2 to 1.3.3

The tool isn't foolproof but it looks like it may not be a drop in replacement. I would assume a patch level increment SHOULD be ABI compatible though...

Comment 7 Rex Dieter 2014-11-05 21:44:32 UTC
I suspect at least some of those changes were due to the preliminary feature patches we carried (now upstreamed, but not fully compatible)

The list of items depending on fltk isn't *that* big, I'd be happy to help with rebuilding all of them.

Given the ease of rebuilding stuff ^^, I'm largely indifferent to considerations of bumping sonames (I'm ok either way).  Any opinions?

Comment 8 Richard Shaw 2014-11-05 21:47:34 UTC
I really need to get around to requesting to be a proven packager but for now I have requested ACLs in pkgdb.

And if we do need to do a rebuild here is a non-authoritative list from f20:
$ repoquery --resolve --qf=%{name} --whatrequires "libfltk.so.1.3()(64bit)" | uniq | sort
alsamixergui
alsa-tools
cinepaint-libs
coda-vcodacon
csound-fltk
csound-gui
csound-virtual-keyboard
dillo
ed2k_hash-gui
edelib
eureka
fgrun
flamp
fldigi
FlightGear
fllog
flmsg
flnet
flpsed
flrig
fltk-devel
fltk-fluid
giada
gipfel
gmsh
gmsh-libs
gmsh-mpich
gmsh-mpich-libs
gmsh-openmpi
gmsh-openmpi-libs
htmldoc
lmms
mathgl
mathgl-examples
mathgl-mpich
mathgl-openmpi
minicomputer
mup
non-session-manager
nut-nutrition
octave
OpenEXR_Viewers
OpenEXR_Viewers-nonfree
OpenSceneGraph-examples-fltk
oyranos
paulstretch
plus4emu
posterazor
rakarrack
rasterview
seaview
stage
stage-playerplugin
SteGUI
tigervnc
VirtualGL
yoshimi
zynaddsubfx

Comment 9 Richard Shaw 2014-11-08 14:24:12 UTC
I posted to the fltkdev group about the ABI compatibility, we'll see what they say.

Also, would this be a good time to request an EPEL7 branch?

Comment 10 Rex Dieter 2014-11-08 14:34:18 UTC
Re: epel7

yes, sounds like a good idea

Comment 11 Richard Shaw 2014-11-09 03:25:42 UTC
Ok, upstreams response did not give me a warm and fuzzy so we should probably proceed with rebuilds of dependant packages. I figure we can do rawhide first so when I request epel7 it will inherit 1.3.3 from the beginning.

Comment 12 Richard Shaw 2014-11-14 14:27:36 UTC
Ok, if you're up for the rebuilds I'm ready to build fltk.

Comment 13 Orion Poplawski 2015-02-18 02:12:09 UTC
Where are we on this?  With all of the gcc 5 C++11 ABI issues floating around I was going to rebuild fltk when I noticed that the 1.3.3 version checked in hasn't been built yet.  Shall we kick this off?

Comment 14 Rex Dieter 2015-02-18 15:23:10 UTC
Oh sheesh, I totally forgot about this bug, and updated it myself recently,

%changelog
* Fri Feb 13 2015 Rex Dieter <rdieter@fedoraproject.org> 1.3.3-1
- 1.3.3


Sorry Richard, I think you'd already prepped 1.3.3 for packaging, can you please review what I did and make sure I didn't botch things?

Hrm, apparently the build didn't succeed, I'm looking for logs now.

Comment 15 Upstream Release Monitoring 2015-02-18 15:35:59 UTC
rdieter's fltk-1.3.3-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=612640

Comment 16 Rex Dieter 2015-02-18 15:52:15 UTC
I'll work on rebuilding dependent stuff for f23 first, then will turn eye on f22.

Comment 17 Richard Shaw 2015-02-18 16:02:24 UTC
I'll take care of fldigi. I think there's a bug (nothing major) and I'm working with upstream to fix.

Comment 18 Orion Poplawski 2015-02-18 17:25:07 UTC
Well, if there was any doubt that dependent packages need to be rebuilt:

error: /usr/lib/octave/3.8.2/oct/i686-redhat-linux-gnu/PKG_ADD: /usr/lib/octave/3.8.2/oct/i686-redhat-linux-gnu/__init_fltk__.oct: failed to load: /lib/libfltk_gl.so.1.3: undefined symbol: _ZN18Fl_XFont_On_Demand5valueEv

I'm rebuilding octave now.

Comment 19 Rex Dieter 2015-02-18 18:51:29 UTC
Thanks for the confirmation, rebasing to f22 (and continuing to work my way through the list of depdendencies on master/f23 first)

Comment 20 Rex Dieter 2015-02-18 19:56:51 UTC
Looking into OpenSceneGraph FTBFS, 

/usr/lib/gcc/i686-redhat-linux/5.0.0/../../../libfltk_gl.so: undefined reference to `Fl_XFont_On_Demand::value()'
collect2: error: ld returned 1 exit status


Some references:
http://comments.gmane.org/gmane.comp.lib.fltk.general/27466
https://bugzilla.opensuse.org/show_bug.cgi?id=915435

Looks like that symbol isn't exported properly

Comment 21 Rex Dieter 2015-02-18 19:57:29 UTC
(same problem as with octave before, sorry for not noticing that)

Comment 22 Rex Dieter 2015-02-18 20:13:49 UTC
upstream issue tracking,
http://www.fltk.org/str.php?L3156

Comment 23 Rex Dieter 2015-02-18 20:18:57 UTC
hopefully this takes care of it

%changelog
* Wed Feb 18 2015 Rex Dieter <rdieter@fedoraproject.org> 1.3.3-2
- pull in upstream fixes for undefined symbols

Comment 24 Upstream Release Monitoring 2015-02-18 20:30:33 UTC
rdieter's fltk-1.3.3-2.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=612869

Comment 25 Upstream Release Monitoring 2015-02-19 14:05:37 UTC
rdieter's fltk-1.3.3-2.fc22 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=612991


Note You need to log in before you can comment on or make changes to this bug.